Page MenuHomePhabricator

Implement compressed rendering of notifications
Closed, ResolvedPublic

Description

See mockups for T114356: Notifications panel: Easily explore bundled notifications. In a compressed rendering, only the text is visible, and all secondary actions are in the 'more' menu and are rendered accordingly.

These sub-notifications do not expand on click.

Event Timeline

Catrope created this task.Oct 13 2015, 11:07 PM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added subscribers: Catrope, Krenair, Aklapper, Pginer-WMF.
Mattflaschen-WMF set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 17 2015, 7:16 PM

Change 247017 had a related patch set uploaded (by Mooeypoo):
[WIP] Add ooui widgets for cross-wiki bundled notifications

https://gerrit.wikimedia.org/r/247017

Change 247017 merged by jenkins-bot:
Add OOUI widgets for cross-wiki bundled notifications

https://gerrit.wikimedia.org/r/247017

Checked in betalabs as part of several other (detailed) tickets.
In the screenshot below, the expanded message from Chinese wiki

a compressed rendering, only the text is visible, and all secondary actions are in the 'more' menu and are rendered >accordingly.

jmatazzoni closed this task as Resolved.Mar 22 2016, 6:15 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 4 2018, 2:00 PM